#include <iostream>
#include <vector>

using namespace std;

int main(){
    int N,L;
    cin>>N>>L;
    vector<int> a(N);
    int r;
    for(int i=0;i<N;i++){
        cin>>a[i];
        if(a[i]>L){
            r=-1;
        }else if(a[i]<=L){
            r=i+1;
            break;
        }
    }
    cout<<r<<endl;
    return 0;
}